Bug 656122 (CVE-2010-4199)

Summary: CVE-2010-4199 WebKit: Improper cast of an unspecified variable during processing of an SVG use element
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, kevin, martin.sourada, mtasaka, stransky, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-05 08:19:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 676213    
Bug Blocks: 806808    

Description Huzaifa S. Sidhpurwala 2010-11-23 04:39:38 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4199 to
the following vulnerability:

Name: CVE-2010-4199
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4199 [Open URL]
Final-Decision:
Interim-Decision:
Modified:
Proposed:
Assigned: 20101105
Category:
Reference: CONFIRM:http://code.google.com/p/chromium/issues/detail?id=58657 [Open URL]
Reference: CONFIRM:http://googlechromereleases.blogspot.com/2010/11/stable-channel-update.html [Open URL]

Upstream Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=47561
Trac: http://trac.webkit.org/changeset/69936

Google Chrome before 7.0.517.44 does not properly perform a cast of an
unspecified variable during processing of an SVG use element, which
allows remote attackers to cause a denial of service or possibly have
unspecified other impact via a crafted SVG document.

Comment 2 Huzaifa S. Sidhpurwala 2011-02-09 04:12:09 UTC
This is now fixed in webkitgtk 1.2.7

Comment 3 Huzaifa S. Sidhpurwala 2011-02-09 04:40:12 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-13 [bug 676213]